網頁

2014年7月29日 星期二

解決 pkg 在舊版 FreeBSD 會 No valid repository found 的問題

如果 FreeBSD 版本比較舊(這裡遇到的狀況是 9.2),就算裝了最新的 pkg 還是會吐 No valid repository found ,這時候就要:
mkdir -p /usr/local/etc/pkg/repos
vim /usr/local/etc/pkg/repos/FreeBSD.conf

---
FreeBSD: {
  url: "pkg+http://pkg.FreeBSD.org/${ABI}/latest",
  mirror_type: "srv",
  enabled: yes
}
---
然後就可以愉快的使用 pkg 了。

ref: here